Loading...
Searching...
No Matches
__vcpu-arch.h File Reference

ARM64-specific vCPU interface. More...

`#include <l4/sys/types.h>`
`#include <l4/sys/utcb.h>`
`#include <l4/sys/__vcpu-arm.h>`
Include dependency graph for __vcpu-arch.h:

Go to the source code of this file.

## Data Structures

struct | l4_vcpu_arch_state_t
| Architecture-specific vCPU state. More...
struct | l4_vcpu_ipc_regs_t
| vCPU message registers. More...

## Typedefs

typedef l4_exc_regs_t | l4_vcpu_regs_t
| vCPU registers.
typedef struct l4_vcpu_arch_state_t | l4_vcpu_arch_state_t
| Architecture-specific vCPU state.
typedef struct l4_vcpu_ipc_regs_t | l4_vcpu_ipc_regs_t
| vCPU message registers.

## Enumerations

enum | { L4_VCPU_STATE_VERSION = 0x38 , L4_VCPU_STATE_SIZE = 0x200 , L4_VCPU_STATE_EXT_SIZE = 0x800 }
enum | L4_vcpu_state_offset { L4_VCPU_OFFSET_EXT_STATE = 0x280 , L4_VCPU_OFFSET_EXT_INFOS = 0x200 }
| Offsets for vCPU state layouts. More...
enum | L4_vcpu_e_field_ids { }
| IDs for extended vCPU state fields. More...

## Detailed Description

ARM64-specific vCPU interface.

Definition in file __vcpu-arch.h.

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
L4_VCPU_STATE_VERSION | Architecture-specific version ID. This ID must match the version field in the l4_vcpu_state_t structure after enabling vCPU mode or extended vCPU mode for a thread.

Definition at line 18 of file __vcpu-arch.h.

## L4_vcpu_e_field_ids

enum L4_vcpu_e_field_ids

IDs for extended vCPU state fields.

Bits 14..15: are the field size:

- 0 = 32bit field
- 1 = register width field
- 2 = 64bit field

Enumerator
L4_VCPU_E_VTMR_CFG | vtimer irq configuration

Definition at line 85 of file __vcpu-arch.h.